commit:     90ba1563a20923d2924805c941a7d4b5a8f92942
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 10 14:24:39 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Oct 10 14:24:39 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90ba1563

dev-python/lz4: Fix installation without dev-python/nose installed

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=562448

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/lz4/lz4-0.7.0.ebuild | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/dev-python/lz4/lz4-0.7.0.ebuild b/dev-python/lz4/lz4-0.7.0.ebuild
index 5e4d293..c706375 100644
--- a/dev-python/lz4/lz4-0.7.0.ebuild
+++ b/dev-python/lz4/lz4-0.7.0.ebuild
@@ -20,3 +20,10 @@ RDEPEND=""
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 
 # Tests still excluded by upstream
+
+python_prepare_all() {
+       sed \
+               -e '/nose/s:setup_requires:test_requires:g' \
+               -i setup.py || die
+       distutils-r1_python_prepare_all
+}

Reply via email to